import request from '@/utils/request'

// 查询学校管理列表
export function listOffice(query) {
  return request({
    url: '/platform/office/list',
    method: 'get',
    params: query
  })
}

// 查询学校管理详细
export function getOffice(id) {
  return request({
    url: '/platform/office/' + id,
    method: 'get'
  })
}

// 新增学校管理
export function addOffice(data) {
  return request({
    url: '/platform/office',
    method: 'post',
    data: data
  })
}

// 修改学校管理
export function updateOffice(data) {
  return request({
    url: '/platform/office',
    method: 'put',
    data: data
  })
}

// 删除学校管理
export function delOffice(id) {
  return request({
    url: '/platform/office/' + id,
    method: 'delete'
  })
}
